<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (11.0.18) on Sun Apr 16 01:57:04 CEST 2023 -->
<title>Enclos</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf8">
<meta name="dc.created" content="2023-04-16">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="jquery/jquery-3.6.0.min.js"></script>
<script type="text/javascript" src="jquery/jquery-ui.min.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Enclos";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "./";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<h2 title="Class Enclos" class="title">Class Enclos</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>Object</li>
<li>
<ul class="inheritance">
<li>Enclos</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">Enclos</span>
extends Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section>
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(java.lang.String,double)">Enclos</a></span>&#8203;(String&nbsp;nom,
      double&nbsp;superficie)</code></th>
<td class="colLast">
<div class="block">permet de créer un enclos</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section>
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ajouterAnimalDansLEnclos(Animal)">ajouterAnimalDansLEnclos</a></span>&#8203;(<a href="Animal.html" title="class in &lt;Unnamed&gt;">Animal</a>&nbsp;animal)</code></th>
<td class="colLast">
<div class="block">permet d'ajouter un animal dans l'enclos</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="Animal.html" title="class in &lt;Unnamed&gt;">Animal</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#animauxDeLEnclos()">animauxDeLEnclos</a></span>()</code></th>
<td class="colLast">
<div class="block">permet d'obtenir la liste des animaux de l'enclos</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#estAjoutableDansLEnclos(Animal)">estAjoutableDansLEnclos</a></span>&#8203;(<a href="Animal.html" title="class in &lt;Unnamed&gt;">Animal</a>&nbsp;animal)</code></th>
<td class="colLast">
<div class="block">permet de savoir si un animal peut être ajouté dans l'enclos</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getNom()">getNom</a></span>()</code></th>
<td class="colLast">
<div class="block">permet de récupérer le nom de l'enclos</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getSuperficie()">getSuperficie</a></span>()</code></th>
<td class="colLast">
<div class="block">permet de récupérer la superficie de l'enclos</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#retirerAnimalDeLEnclos(Animal)">retirerAnimalDeLEnclos</a></span>&#8203;(<a href="Animal.html" title="class in &lt;Unnamed&gt;">Animal</a>&nbsp;animal)</code></th>
<td class="colLast">
<div class="block">permet de retirer un animal de l'enclos</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setSuperficie(double)">setSuperficie</a></span>&#8203;(double&nbsp;superficie)</code></th>
<td class="colLast">
<div class="block">permet de changer la superficie de l'enclos si on souhaite l'agrandir ou le rétrécir</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section>
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;(java.lang.String,double)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Enclos</h4>
<pre>public&nbsp;Enclos&#8203;(String&nbsp;nom,
              double&nbsp;superficie)</pre>
<div class="block">permet de créer un enclos</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>nom</code> - le nom de l'enclos</dd>
<dd><code>superficie</code> - la superficie de l'enclos</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section>
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="getNom()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNom</h4>
<pre class="methodSignature">public&nbsp;String&nbsp;getNom()</pre>
<div class="block">permet de récupérer le nom de l'enclos</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>le nom de l'enclos</dd>
</dl>
</li>
</ul>
<a id="getSuperficie()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSuperficie</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;getSuperficie()</pre>
<div class="block">permet de récupérer la superficie de l'enclos</div>
</li>
</ul>
<a id="setSuperficie(double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSuperficie</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setSuperficie&#8203;(double&nbsp;superficie)</pre>
<div class="block">permet de changer la superficie de l'enclos si on souhaite l'agrandir ou le rétrécir</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>superficie</code> - la superficie de l'enclos souhaitée pour le changement</dd>
</dl>
</li>
</ul>
<a id="estAjoutableDansLEnclos(Animal)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>estAjoutableDansLEnclos</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;estAjoutableDansLEnclos&#8203;(<a href="Animal.html" title="class in &lt;Unnamed&gt;">Animal</a>&nbsp;animal)</pre>
<div class="block">permet de savoir si un animal peut être ajouté dans l'enclos</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>animal</code> - l'animal à ajouter dans l'enclos</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true si l'animal est ajoutable dans l'enclos, false sinon</dd>
</dl>
</li>
</ul>
<a id="ajouterAnimalDansLEnclos(Animal)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ajouterAnimalDansLEnclos</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;ajouterAnimalDansLEnclos&#8203;(<a href="Animal.html" title="class in &lt;Unnamed&gt;">Animal</a>&nbsp;animal)</pre>
<div class="block">permet d'ajouter un animal dans l'enclos</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>animal</code> - l'animal à ajouter dans l'enclos</dd>
</dl>
</li>
</ul>
<a id="retirerAnimalDeLEnclos(Animal)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>retirerAnimalDeLEnclos</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;retirerAnimalDeLEnclos&#8203;(<a href="Animal.html" title="class in &lt;Unnamed&gt;">Animal</a>&nbsp;animal)</pre>
<div class="block">permet de retirer un animal de l'enclos</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>animal</code> - l'animal à retirer de l'enclos</dd>
</dl>
</li>
</ul>
<a id="animauxDeLEnclos()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>animauxDeLEnclos</h4>
<pre class="methodSignature">public&nbsp;java.util.List&lt;<a href="Animal.html" title="class in &lt;Unnamed&gt;">Animal</a>&gt;&nbsp;animauxDeLEnclos()</pre>
<div class="block">permet d'obtenir la liste des animaux de l'enclos</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>la liste des animaux de l'enclos</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
